Bug 442012 - RFE: pvmove: give better diagnostic for invalid "-n LV" name
Summary: RFE: pvmove: give better diagnostic for invalid "-n LV" name
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2   
(Show other bugs)
Version: 4.6
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Milan Broz
QA Contact: Corey Marthaler
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-11 09:01 UTC by Milan Broz
Modified: 2013-03-01 04:06 UTC (History)
8 users (show)

Fixed In Version: RHBA-2008-0776
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 20:08:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0776 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2008-07-23 17:19:45 UTC

Description Milan Broz 2008-04-11 09:01:02 UTC
+++ This bug was initially created as a clone of Bug #284771 +++
RHEL4 clone

Description of problem:
I was following an example from a non-RH (or old?) version of the pvmove man
page (http://linux.about.com/library/cmd/blcmdl8_pvmove.htm), that suggested
using pvmove's "-n vg_name:PE" option, e.g., "-n vg1:0".  However, using a PE
range there is not valid, and makes pvmove complain, just as if one had
specified any invalid VG name.  FWIW, the PE range must be appended to the
source or dest device name.

Version-Release number of selected component (if applicable):
LVM version:     2.02.27 (2007-07-17)

How reproducible:
see attached script

Steps to Reproduce:
1. run the script, and note the "No data to move for vg-pvmove-demo" diagnostic
...
-- Additional comment from mbroz@redhat.com on 2008-04-04 08:00 EST --
Patch is in upstream cvs.

Comment 1 RHEL Product and Program Management 2008-04-11 09:18:36 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Corey Marthaler 2008-06-27 15:13:47 UTC
Fix verified in lvm2-2.02.37-3.el4

[root@taft-03 dev]# pvmove -n taft:0 /dev/sdc#_%\($\" /dev/sdb1
  Logical volume name taft:0 is invalid
  Run `pvmove --help' for more information.


Comment 6 errata-xmlrpc 2008-07-24 20:08:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0776.html


Note You need to log in before you can comment on or make changes to this bug.